using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.StoragesContracts
{
	public interface IPharmacistStorage
	{
		List<PharmacistViewModel> GetFullList();
		List<PharmacistViewModel> GetFilteredList(PharmacistSearchModel model);
		PharmacistViewModel? GetElement(PharmacistSearchModel model);
		PharmacistViewModel? Insert(PharmacistBindingModel model);
		PharmacistViewModel? Update(PharmacistBindingModel model);
		PharmacistViewModel? Delete(PharmacistBindingModel model);
	}
}
